/**
* Copyright 2013 IPSoft Inc.
* 
* Licensed under the Apache License, Version 2.0 (the "License");
* you may not use this file except in compliance with the License.
* You may obtain a copy of the License at
* 
*   http://www.apache.org/licenses/LICENSE-2.0
*   
* Unless required by applicable law or agreed to in writing, software
* distributed under the License is distributed on an "AS IS" BASIS,
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
* See the License for the specific language governing permissions and
* limitations under the License.
*/
package com.googlecode.clearnlp.propbank.frameset;

/**
 * @since 1.4.2
 * @author Jinho D. Choi ({@code jdchoi77@gmail.com})
 */
public enum PBType
{
	VERB("v"),
	NOUN("n"),
	ADJECTIVE("j");

	private final String value;
	
	PBType(String value)
	{
		this.value = value;
	}
	
	public boolean isValue(String value)
	{
		return this.value.equals(value);
	}
	
	public String getValue()
	{
		return value;
	}
}
